dofile("script\\gamemenu.lua");
dofile("script\\lib.lua");
set_inpun_fun("gameinput");
location={}
location["poezd"] = true
location["poezd"] = {}
location["poezd"]["id"] = 18
location["poezd"]["sub_id"] = 0
function LevelComplete()
  flags.levelcomplete=true;
    whole_darkness=false;
  DarkScreen(true);
  ShowMenu(false)
end;
function LoadingLevel(param)
if flags.levelcomplete then
  delete_tree_leaf("Root","poezd");-- Добавляет лист в дерево 
  setnextlavel(19);
  loadlavel();
return; end;
SetAlfaValue(503,0);
     SLevel=param;
return;end;
flags={};
flags["comx"]=false;
flags["comx1"]=false;
flags["HintCount"]=5;
flags["minicomplete"]=false;
flags["map"]=false;
flags["levelcomplete"]= false;
flags["nohints"]=false;
add_tree_leaf("Root","poezd",18,0);-- Добавляет лист в дерево 
  addstaticobjecttogame(877777777,"buttons",114,625,"",60,0,61,61);
  SetCurrentRM("menu");
  AddSheet(1002,"re","red_b",103,656,37,41,"",99,657,650,80,92,21,5,5,0,59,877777777,nil,"buttonsY");
  SetCurrentRM("main");
loadresource("data\\photoaparat.png","photoaparat",2000029);
loadresource("data\\animationMENU3.png","menuAn",2000030);
AddImgToBook("photoaparat",821,637);
AddHints()
dofile("./data/18/0/res.lua");
setcurentleaf("poezd",18,0);
WaitRender()
flags.comx= true


ShowMenu(false);
playfile(".\\sound\\game_theme2.ogg",true,true);
function StartLevel()
      AddParticleToObject(42,"Svet4",220,260);
      MoveEmiter("Svet4",220,260);
      StartEmiter("Svet4"); 
  DarkScreen(false);
  -- flags.card= true;
    -- if  flags.card then 
    SetCurrentRM("menu");
    AddImgToBook("photoaparat",821,637);
    AddHints()
  SetCurrentRM("main");
  -- end;
    ShowMenu(true);
end